import { JavaObject } from '../../../java/lang/JavaObject';
export declare class GostBelegungsfehlerArt extends JavaObject {
    static readonly BELEGUNG: GostBelegungsfehlerArt;
    static readonly SCHRIFTLICHKEIT: GostBelegungsfehlerArt;
    static readonly HINWEIS: GostBelegungsfehlerArt;
    readonly kuerzel: String;
    /**
     * Erzeugt ein neues Abitur-Belegungsfehler-Objekt
     *
     * @param kuerzel        das Kürzel der Fehler-Art
     */
    private constructor();
    /**
     * Gibt die Belegungsfehler-Art anhand des übergebenen Kürzels zurück.
     *
     * @param kuerzel    das Kürzel der Belegungsfehler-Art
     *
     * @return die Belegungsfehler-Art
     */
    static fromKuerzel(kuerzel: String | null): GostBelegungsfehlerArt | null;
    toString(): String;
    isTranspiledInstanceOf(name: string): boolean;
}
export declare function cast_de_nrw_schule_svws_core_abschluss_gost_GostBelegungsfehlerArt(obj: unknown): GostBelegungsfehlerArt;
